#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=machaze3.21_base.ps
projection=-JM16.0c+
region=-R32.7/33.9/-22.0/-20.4
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map machaze3.21' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/k10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
   -21.403    33.491
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
   -21.292    33.293
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
   -21.260    33.375
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
   -21.263    33.369
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
   -21.272    33.400
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
   -21.217    33.418
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
   -21.385    33.357
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
   -21.212    33.453
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
   -21.382    33.331
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
   -21.355    33.199
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
   -21.307    33.277
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
   -21.281    33.407
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
   -21.176    33.313
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
   -21.133    33.383
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
   -21.403    33.387
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
   -21.375    33.212
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
   -21.138    33.293
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
   -21.065    33.373
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
   -21.349    33.170
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
   -21.109    33.450
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
   -21.348    33.324
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
   -20.975    33.356
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
   -21.274    33.344
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
   -21.072    33.411
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
   -21.224    33.368
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
   -21.287    33.245
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
   -21.221    33.284
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
   -21.310    33.301
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
   -21.301    33.305
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
   -21.017    33.367
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
   -21.409    33.432
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
   -21.395    33.462
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
   -21.374    33.533
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
   -21.347    33.374
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
   -21.177    33.139
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
   -21.424    33.225
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
   -21.119    33.335
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
   -21.252    33.193
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
   -21.275    33.505
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
   -21.337    33.544
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
   -20.974    33.373
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
   -21.016    33.407
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
   -20.948    33.210
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
   -21.344    33.448
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
   -21.328    33.253
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
   -21.436    33.463
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
   -20.985    33.724
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
   -21.316    33.215
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
   -21.294    33.510
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
   -20.988    33.344
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
   -21.288    33.455
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
   -21.143    33.329
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
   -21.340    33.636
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
   -21.037    33.354
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
   -20.999    33.155
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
   -21.423    33.171
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
   -21.076    33.246
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
   -21.165    33.362
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
   -21.062    33.290
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
   -21.443    33.481
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
   -21.317    33.300
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
   -21.312    33.396
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
   -21.306    33.402
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
   -21.385    33.381
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
   -21.044    33.212
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
   -21.317    33.363
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
   -21.532    33.222
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
   -20.947    33.242
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
   -21.342    33.204
END
gmt psxy -: -R $projection -Sl8p+t"70" -G0 -O -K << END >> $psfile
   -21.507    33.402
END
gmt psxy -: -R $projection -Sl8p+t"71" -G0 -O -K << END >> $psfile
   -21.396    33.481
END
gmt psxy -: -R $projection -Sl8p+t"72" -G0 -O -K << END >> $psfile
   -21.438    33.423
END
gmt psxy -: -R $projection -Sl8p+t"73" -G0 -O -K << END >> $psfile
   -21.205    33.324
END
gmt psxy -: -R $projection -Sl8p+t"74" -G0 -O -K << END >> $psfile
   -21.226    33.310
END
gmt psxy -: -R $projection -Sl8p+t"75" -G0 -O -K << END >> $psfile
   -20.963    32.964
END
gmt psxy -: -R $projection -Sl8p+t"76" -G0 -O -K << END >> $psfile
   -20.994    33.210
END
gmt psxy -: -R $projection -Sl8p+t"77" -G0 -O -K << END >> $psfile
   -21.310    33.390
END
gmt psxy -: -R $projection -Sl8p+t"78" -G0 -O -K << END >> $psfile
   -21.497    33.474
END
gmt psxy -: -R $projection -Sl8p+t"79" -G0 -O -K << END >> $psfile
   -21.042    33.245
END
gmt psxy -: -R $projection -Sl8p+t"80" -G0 -O -K << END >> $psfile
   -21.004    33.262
END
gmt psxy -: -R $projection -Sl8p+t"81" -G0 -O -K << END >> $psfile
   -21.017    33.261
END
gmt psxy -: -R $projection -Sl8p+t"82" -G0 -O -K << END >> $psfile
   -21.198    33.110
END
gmt psxy -: -R $projection -Sl8p+t"83" -G0 -O -K << END >> $psfile
   -21.018    33.271
END
gmt psxy -: -R $projection -Sl8p+t"84" -G0 -O -K << END >> $psfile
   -21.270    33.567
END
gmt psxy -: -R $projection -Sl8p+t"85" -G0 -O -K << END >> $psfile
   -20.942    33.243
END
gmt psxy -: -R $projection -Sl8p+t"86" -G0 -O -K << END >> $psfile
   -21.858    33.472
END
gmt psxy -: -R $projection -Sl8p+t"87" -G0 -O -K << END >> $psfile
   -21.265    33.383
END
gmt psxy -: -R $projection -Sl8p+t"88" -G0 -O -K << END >> $psfile
   -21.311    33.401
END
gmt psxy -: -R $projection -Sl8p+t"89" -G0 -O -K << END >> $psfile
   -21.344    33.323
END
gmt psxy -: -R $projection -Sl8p+t"90" -G0 -O -K << END >> $psfile
   -21.223    33.338
END
gmt psxy -: -R $projection -Sl8p+t"91" -G0 -O -K << END >> $psfile
   -20.554    33.716
END
gmt psxy -: -R $projection -Sl8p+t"92" -G0 -O -K << END >> $psfile
   -21.213    33.359
END
gmt psxy -: -R $projection -Sl8p+t"93" -G0 -O -K << END >> $psfile
   -21.343    33.322
END
gmt psxy -: -R $projection -Sl8p+t"94" -G0 -O -K << END >> $psfile
   -21.372    33.197
END
gmt psxy -: -R $projection -Sl8p+t"95" -G0 -O -K << END >> $psfile
   -21.259    33.161
END
gmt psxy -: -R $projection -Sl8p+t"96" -G0 -O -K << END >> $psfile
   -21.168    33.443
END
gmt psxy -: -R $projection -Sl8p+t"97" -G0 -O -K << END >> $psfile
   -21.535    33.516
END
gmt psxy -: -R $projection -Sl8p+t"98" -G0 -O -K << END >> $psfile
   -21.529    33.519
END
gmt psxy -: -R $projection -Sl8p+t"99" -G0 -O -K << END >> $psfile
   -21.445    33.441
END
gmt psxy -: -R $projection -Sl8p+t"100" -G0 -O -K << END >> $psfile
   -21.445    33.461
END
gmt psxy -: -R $projection -Sl8p+t"101" -G0 -O -K << END >> $psfile
   -21.423    33.496
END
gmt psxy -: -R $projection -Sl8p+t"102" -G0 -O -K << END >> $psfile
   -21.519    33.485
END
gmt psxy -: -R $projection -Sl8p+t"103" -G0 -O -K << END >> $psfile
   -21.447    33.477
END
gmt psxy -: -R $projection -Sl8p+t"104" -G0 -O -K << END >> $psfile
   -21.489    33.487
END
gmt psxy -: -R $projection -Sl8p+t"105" -G0 -O -K << END >> $psfile
   -21.328    33.567
END
gmt psxy -: -R $projection -Sl8p+t"106" -G0 -O -K << END >> $psfile
   -21.373    33.271
END
gmt psxy -: -R $projection -Sl8p+t"107" -G0 -O -K << END >> $psfile
   -20.577    33.760
END
gmt psxy -: -R $projection -Sl8p+t"108" -G0 -O -K << END >> $psfile
   -21.604    33.551
END
gmt psxy -: -R $projection -Sl8p+t"109" -G0 -O -K << END >> $psfile
   -21.537    33.538
END
gmt psxy -: -R $projection -Sl8p+t"110" -G0 -O -K << END >> $psfile
   -21.586    33.598
END
gmt psxy -: -R $projection -Sl8p+t"111" -G0 -O -K << END >> $psfile
   -20.625    32.836
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.356    33.488
   -21.357    33.488
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.269    33.222
   -21.403    33.491
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.357    33.488
   -21.403    33.491
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.245    33.288
   -21.246    33.289
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.345    33.285
   -21.292    33.293
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.246    33.289
   -21.292    33.293
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.214    33.372
   -21.215    33.371
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.319    33.285
   -21.260    33.375
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.215    33.371
   -21.260    33.375
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.218    33.365
   -21.218    33.365
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.311    33.549
   -21.263    33.369
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.218    33.365
   -21.263    33.369
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.227    33.398
   -21.227    33.397
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.277    33.480
   -21.272    33.400
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.227    33.397
   -21.272    33.400
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.170    33.413
   -21.172    33.414
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.334    33.297
   -21.217    33.418
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.172    33.414
   -21.217    33.418
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.338    33.351
   -21.340    33.353
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.731    33.204
   -21.385    33.357
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.340    33.353
   -21.385    33.357
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.166    33.449
   -21.167    33.449
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.292    33.326
   -21.212    33.453
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.167    33.449
   -21.212    33.453
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.334    33.326
   -21.336    33.327
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.558    33.235
   -21.382    33.331
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.336    33.327
   -21.382    33.331
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.309    33.195
   -21.310    33.196
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.231    32.709
   -21.355    33.199
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.310    33.196
   -21.355    33.199
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.263    33.273
   -21.262    33.273
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.404    33.377
   -21.307    33.277
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.262    33.273
   -21.307    33.277
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.234    33.402
   -21.236    33.403
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.350    33.481
   -21.281    33.407
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.236    33.403
   -21.281    33.407
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.130    33.310
   -21.131    33.309
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.229    33.120
   -21.176    33.313
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.131    33.309
   -21.176    33.313
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.087    33.380
   -21.088    33.379
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.202    33.222
   -21.133    33.383
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.088    33.379
   -21.133    33.383
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.358    33.383
   -21.358    33.384
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.608    33.167
   -21.403    33.387
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.358    33.384
   -21.403    33.387
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.330    33.208
   -21.330    33.208
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.397    32.717
   -21.375    33.212
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.330    33.208
   -21.375    33.212
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.092    33.288
   -21.093    33.289
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.049    32.886
   -21.138    33.293
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.093    33.289
   -21.138    33.293
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.018    33.369
   -21.019    33.369
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -20.952    33.168
   -21.065    33.373
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.019    33.369
   -21.065    33.373
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.302    33.165
   -21.304    33.167
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.293    32.802
   -21.349    33.170
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.304    33.167
   -21.349    33.170
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.062    33.444
   -21.064    33.446
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.255    33.447
   -21.109    33.450
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.064    33.446
   -21.109    33.450
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.302    33.320
   -21.302    33.320
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.451    33.083
   -21.348    33.324
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.302    33.320
   -21.348    33.324
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.930    33.352
   -20.930    33.352
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.462    33.399
   -20.975    33.356
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.930    33.352
   -20.975    33.356
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.228    33.341
   -21.229    33.340
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.367    33.230
   -21.274    33.344
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.229    33.340
   -21.274    33.344
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.027    33.406
   -21.027    33.407
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.242    33.323
   -21.072    33.411
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.027    33.407
   -21.072    33.411
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.178    33.363
   -21.179    33.364
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.366    33.230
   -21.224    33.368
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.179    33.364
   -21.224    33.368
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.242    33.246
   -21.242    33.241
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.173    32.931
   -21.287    33.245
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.242    33.241
   -21.287    33.245
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.175    33.281
   -21.176    33.280
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.555    33.207
   -21.221    33.284
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.176    33.280
   -21.221    33.284
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.264    33.297
   -21.265    33.297
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.351    33.153
   -21.310    33.301
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.265    33.297
   -21.310    33.301
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.254    33.300
   -21.256    33.301
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.488    33.139
   -21.301    33.305
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.256    33.301
   -21.301    33.305
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.971    33.363
   -20.972    33.363
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.092    33.021
   -21.017    33.367
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.972    33.363
   -21.017    33.367
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.365    33.428
   -21.364    33.428
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.487    33.223
   -21.409    33.432
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.364    33.428
   -21.409    33.432
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.350    33.460
   -21.350    33.458
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.537    33.016
   -21.395    33.462
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.350    33.458
   -21.395    33.462
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.328    33.527
   -21.329    33.529
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.418    33.441
   -21.374    33.533
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.329    33.529
   -21.374    33.533
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.303    33.371
   -21.301    33.370
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.274    33.149
   -21.347    33.374
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.301    33.370
   -21.347    33.374
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.131    33.134
   -21.132    33.135
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.317    32.992
   -21.177    33.139
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.132    33.135
   -21.177    33.139
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.378    33.221
   -21.379    33.221
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.558    33.014
   -21.424    33.225
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.379    33.221
   -21.424    33.225
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.073    33.330
   -21.074    33.331
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -20.982    33.068
   -21.119    33.335
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.074    33.331
   -21.119    33.335
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.206    33.189
   -21.207    33.189
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.345    33.084
   -21.252    33.193
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.207    33.189
   -21.252    33.193
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.230    33.502
   -21.230    33.501
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.205    33.141
   -21.275    33.505
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.230    33.501
   -21.275    33.505
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.290    33.540
   -21.292    33.540
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.470    33.468
   -21.337    33.544
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.292    33.540
   -21.337    33.544
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.929    33.369
   -20.929    33.369
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.199    33.482
   -20.974    33.373
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.929    33.369
   -20.974    33.373
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.970    33.404
   -20.971    33.404
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.125    33.583
   -21.016    33.407
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.971    33.404
   -21.016    33.407
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.901    33.206
   -20.902    33.206
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -20.903    32.892
   -20.948    33.210
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.902    33.206
   -20.948    33.210
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.298    33.443
   -21.299    33.444
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.508    33.264
   -21.344    33.448
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.299    33.444
   -21.344    33.448
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.282    33.246
   -21.283    33.249
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.357    33.086
   -21.328    33.253
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.283    33.249
   -21.328    33.253
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.390    33.459
   -21.390    33.459
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.589    33.359
   -21.436    33.463
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.390    33.459
   -21.436    33.463
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.939    33.720
   -20.940    33.720
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.039    33.603
   -20.985    33.724
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.940    33.720
   -20.985    33.724
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.271    33.212
   -21.270    33.211
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.398    33.111
   -21.316    33.215
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.270    33.211
   -21.316    33.215
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.247    33.506
   -21.249    33.506
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.238    33.430
   -21.294    33.510
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.249    33.506
   -21.294    33.510
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.942    33.341
   -20.943    33.340
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.006    33.152
   -20.988    33.344
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.943    33.340
   -20.988    33.344
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.242    33.451
   -21.243    33.452
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.325    33.336
   -21.288    33.455
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.243    33.452
   -21.288    33.455
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.099    33.330
   -21.097    33.326
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.211    33.278
   -21.143    33.329
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.097    33.326
   -21.143    33.329
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.293    33.632
   -21.295    33.633
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.391    33.657
   -21.340    33.636
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.295    33.633
   -21.340    33.636
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.992    33.352
   -20.992    33.350
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.207    33.167
   -21.037    33.354
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.992    33.350
   -21.037    33.354
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.953    33.152
   -20.954    33.151
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.035    33.016
   -20.999    33.155
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.954    33.151
   -20.999    33.155
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.378    33.167
   -21.377    33.167
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.467    32.876
   -21.423    33.171
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.377    33.167
   -21.423    33.171
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.031    33.242
   -21.031    33.242
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.009    32.905
   -21.076    33.246
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.031    33.242
   -21.076    33.246
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.119    33.356
   -21.119    33.359
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.311    33.263
   -21.165    33.362
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.119    33.359
   -21.165    33.362
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.015    33.285
   -21.016    33.286
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.203    33.222
   -21.062    33.290
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.016    33.286
   -21.062    33.290
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.397    33.477
   -21.398    33.477
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.517    33.349
   -21.443    33.481
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.398    33.477
   -21.443    33.481
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.272    33.299
   -21.272    33.296
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.298    32.951
   -21.317    33.300
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.272    33.296
   -21.317    33.300
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.266    33.392
   -21.267    33.392
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.347    33.183
   -21.312    33.396
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.267    33.392
   -21.312    33.396
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.259    33.397
   -21.260    33.398
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.495    33.305
   -21.306    33.402
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.260    33.398
   -21.306    33.402
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.340    33.378
   -21.339    33.377
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.499    33.220
   -21.385    33.381
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.339    33.377
   -21.385    33.381
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.998    33.208
   -20.999    33.208
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.260    33.214
   -21.044    33.212
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.999    33.208
   -21.044    33.212
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.268    33.354
   -21.272    33.359
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.275    33.030
   -21.317    33.363
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.272    33.359
   -21.317    33.363
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.483    33.216
   -21.487    33.218
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.638    33.098
   -21.532    33.222
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.487    33.218
   -21.532    33.222
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.902    33.238
   -20.901    33.238
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.156    33.214
   -20.947    33.242
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.901    33.238
   -20.947    33.242
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.295    33.198
   -21.297    33.200
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.354    32.939
   -21.342    33.204
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.297    33.200
   -21.342    33.204
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.460    33.398
   -21.462    33.398
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.611    33.131
   -21.507    33.402
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.462    33.398
   -21.507    33.402
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.351    33.477
   -21.351    33.477
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.479    33.471
   -21.396    33.481
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.351    33.477
   -21.396    33.481
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.391    33.418
   -21.393    33.419
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.588    33.180
   -21.438    33.423
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.393    33.419
   -21.438    33.423
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.159    33.320
   -21.160    33.320
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.306    33.319
   -21.205    33.324
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.160    33.320
   -21.205    33.324
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.178    33.304
   -21.181    33.306
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.667    33.334
   -21.226    33.310
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.181    33.306
   -21.226    33.310
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.917    32.960
   -20.918    32.960
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -20.945    33.154
   -20.963    32.964
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.918    32.960
   -20.963    32.964
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.948    33.208
   -20.949    33.206
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.099    32.978
   -20.994    33.210
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.949    33.206
   -20.994    33.210
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.265    33.385
   -21.265    33.386
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.441    33.126
   -21.310    33.390
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.265    33.386
   -21.310    33.390
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.450    33.468
   -21.452    33.470
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.622    33.316
   -21.497    33.474
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.452    33.470
   -21.497    33.474
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.995    33.241
   -20.997    33.241
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.079    33.083
   -21.042    33.245
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.997    33.241
   -21.042    33.245
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.958    33.258
   -20.958    33.258
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.049    33.172
   -21.004    33.262
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.958    33.258
   -21.004    33.262
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.973    33.258
   -20.972    33.257
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.163    33.272
   -21.017    33.261
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.972    33.257
   -21.017    33.261
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.155    33.106
   -21.153    33.106
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.350    33.218
   -21.198    33.110
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.153    33.106
   -21.198    33.110
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.971    33.266
   -20.973    33.267
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.219    33.210
   -21.018    33.271
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.973    33.267
   -21.018    33.271
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.224    33.563
   -21.225    33.563
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.246    33.245
   -21.270    33.567
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.225    33.563
   -21.270    33.567
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.895    33.239
   -20.897    33.239
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.009    33.032
   -20.942    33.243
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.897    33.239
   -20.942    33.243
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.815    33.468
   -21.813    33.468
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.915    33.609
   -21.858    33.472
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.813    33.468
   -21.858    33.472
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.219    33.379
   -21.220    33.379
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.284    32.993
   -21.265    33.383
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.220    33.379
   -21.265    33.383
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.266    33.396
   -21.266    33.397
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.397    33.130
   -21.311    33.401
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.266    33.397
   -21.311    33.401
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.297    33.315
   -21.299    33.319
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.366    32.973
   -21.344    33.323
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.299    33.319
   -21.344    33.323
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.178    33.335
   -21.178    33.334
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.266    32.998
   -21.223    33.338
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.178    33.334
   -21.223    33.338
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.509    33.712
   -20.509    33.712
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -20.394    33.315
   -20.554    33.716
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.509    33.712
   -20.554    33.716
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.168    33.355
   -21.168    33.355
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.283    33.034
   -21.213    33.359
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.168    33.355
   -21.213    33.359
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.294    33.317
   -21.298    33.318
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.556    33.394
   -21.343    33.322
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.298    33.318
   -21.343    33.322
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.326    33.193
   -21.326    33.193
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.469    32.993
   -21.372    33.197
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.326    33.193
   -21.372    33.197
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.213    33.157
   -21.214    33.157
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.352    32.947
   -21.259    33.161
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.214    33.157
   -21.259    33.161
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.123    33.438
   -21.123    33.439
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.177    33.423
   -21.168    33.443
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.123    33.439
   -21.168    33.443
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.489    33.511
   -21.490    33.512
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.559    33.245
   -21.535    33.516
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.490    33.512
   -21.535    33.516
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.483    33.514
   -21.484    33.515
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.572    33.370
   -21.529    33.519
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.484    33.515
   -21.529    33.519
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.401    33.439
   -21.400    33.437
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.444    33.318
   -21.445    33.441
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.400    33.437
   -21.445    33.441
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.401    33.453
   -21.400    33.457
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.494    33.442
   -21.445    33.461
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.400    33.457
   -21.445    33.461
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.374    33.490
   -21.378    33.492
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.557    33.640
   -21.423    33.496
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.378    33.492
   -21.423    33.496
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.474    33.479
   -21.474    33.481
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.552    33.411
   -21.519    33.485
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.474    33.481
   -21.519    33.485
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.391    33.470
   -21.402    33.473
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.517    33.261
   -21.447    33.477
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.402    33.473
   -21.447    33.477
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.452    33.483
   -21.444    33.483
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.423    33.571
   -21.489    33.487
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.444    33.483
   -21.489    33.487
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.283    33.564
   -21.283    33.563
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.288    33.354
   -21.328    33.567
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.283    33.563
   -21.328    33.567
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.328    33.274
   -21.328    33.267
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.406    33.256
   -21.373    33.271
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.328    33.267
   -21.373    33.271
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.529    33.759
   -20.531    33.756
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -20.568    33.595
   -20.577    33.760
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.531    33.756
   -20.577    33.760
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.558    33.550
   -21.559    33.548
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.622    33.460
   -21.604    33.551
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.559    33.548
   -21.604    33.551
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.491    33.534
   -21.492    33.534
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.456    33.462
   -21.537    33.538
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.492    33.534
   -21.537    33.538
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -21.541    33.594
   -21.541    33.594
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -21.608    33.512
   -21.586    33.598
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -21.541    33.594
   -21.586    33.598
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -20.579    32.829
   -20.580    32.833
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -20.730    32.760
   -20.625    32.836
END
gmt psxy -: -R $projection -Wthin,red -O -K << END >> $psfile
   -20.580    32.833
   -20.625    32.836
END
# Calibration locations marked by a red cross
gmt psxy -: -R $projection -Sx -Wthick,red -O -K << END >> $psfile
   -21.038    33.262     0.200
   -21.331    33.195     0.200
END
# Calibration location confidence ellipses
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
   -21.038    33.262     0.000     4.000     4.000
   -21.331    33.195    38.000     2.400     4.000
END
# Residual calibration shift vectors
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
   -21.038    33.262
   -21.017    33.261
END
gmt psxy -: -R $projection -Wthick,blue -O -K << END >> $psfile
   -21.331    33.195
   -21.372    33.197
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
   -21.403    33.491   -45.247     0.081     6.938
   -21.292    33.293    75.221     5.784     7.498
   -21.260    33.375    62.121     7.382    10.596
   -21.263    33.369     0.848     2.984     3.207
   -21.272    33.400    50.369     6.013     7.040
   -21.217    33.418    68.491     7.119    12.001
   -21.385    33.357    48.141     5.858     9.264
   -21.212    33.453    61.191     4.577     7.750
   -21.382    33.331    65.299     8.704    13.531
   -21.355    33.199    48.009    11.948    14.072
   -21.307    33.277   -80.273     2.830     3.029
   -21.281    33.407    53.152     2.689     2.847
   -21.176    33.313    51.458     5.774     8.990
   -21.133    33.383    63.588     8.015    10.719
   -21.403    33.387    51.549     6.349     9.948
   -21.375    33.212    59.166     6.458     9.623
   -21.138    33.293    55.785     9.789    13.544
   -21.065    33.373    52.607     7.007    10.470
   -21.349    33.170    57.287     7.339    11.145
   -21.109    33.450    76.927     4.285     5.356
   -21.348    33.324    51.868     6.509    11.137
   -20.975    33.356    54.351     7.306     9.956
   -21.274    33.344    48.875     4.740     7.186
   -21.072    33.411    44.004     5.187     7.817
   -21.224    33.368    53.096     4.687     8.144
   -21.287    33.245    17.274    10.980    15.005
   -21.221    33.284    42.811     5.961     8.388
   -21.310    33.301    41.449     6.440     9.097
   -21.301    33.305    60.692     6.855    10.212
   -21.017    33.367    45.772     7.177    10.970
   -21.409    33.432    50.254     6.866    10.416
   -21.395    33.462    31.663     7.171    10.271
   -21.374    33.533    59.397    10.900    16.860
   -21.347    33.374    48.721     7.025    10.060
   -21.177    33.139    50.561     7.575    12.314
   -21.424    33.225    48.877     5.987    10.493
   -21.119    33.335    62.603     5.568     7.984
   -21.252    33.193    47.929     6.329     9.691
   -21.275    33.505    46.171     5.108     8.013
   -21.337    33.544    56.022     4.431    10.909
   -20.974    33.373    72.914     2.750     3.432
   -21.016    33.407    64.679     2.452     2.675
   -20.948    33.210    42.997     6.540    11.313
   -21.344    33.448    45.710     5.521     6.858
   -21.328    33.253    56.745     6.222     8.383
   -21.436    33.463    62.615     3.588     5.809
   -20.985    33.724    49.415     6.587    12.078
   -21.316    33.215    76.116     3.456     4.298
   -21.294    33.510    58.518     2.999     5.171
   -20.988    33.344    73.402     5.673     7.806
   -21.288    33.455    67.710     4.451     6.419
   -21.143    33.329    64.052     4.913     8.228
   -21.340    33.636    -3.332     2.445     2.642
   -21.037    33.354    83.048     7.204    10.584
   -20.999    33.155    61.782     8.068    10.512
   -21.423    33.171    54.622     8.695    11.566
   -21.076    33.246    74.787     5.956     8.184
   -21.165    33.362    76.533     3.894     4.353
   -21.062    33.290    74.995     6.235    10.014
   -21.443    33.481    69.348     5.919     7.778
   -21.317    33.300   -34.024     8.111     9.281
   -21.312    33.396    60.838     3.082     4.526
   -21.306    33.402    62.873     6.629     8.781
   -21.385    33.381    73.925     4.643     6.669
   -21.044    33.212    65.925     4.737     5.250
   -21.317    33.363    39.877     9.357    11.259
   -21.532    33.222    51.259     4.875     7.346
   -20.947    33.242    35.741     5.171     5.803
   -21.342    33.204    46.008     4.750     7.365
   -21.507    33.402    30.314     9.349    10.752
   -21.396    33.481    70.593     7.836     9.119
   -21.438    33.423    78.669     5.560     6.842
   -21.205    33.324    34.783     2.101     2.432
   -21.226    33.310    69.879     3.767     4.992
   -20.963    32.964    19.072     7.251     9.073
   -20.994    33.210    22.731     4.590     5.458
   -21.310    33.390    59.721     7.284     9.419
   -21.497    33.474    59.410     4.465     6.181
   -21.042    33.245    39.079     8.093    11.871
   -21.004    33.262    51.264     5.107     8.734
   -21.017    33.261    47.659     2.767     3.471
   -21.198    33.110    56.541     2.959     3.671
   -21.018    33.271    44.275     5.382    10.865
   -21.270    33.567    38.432     5.976    11.890
   -20.942    33.243    35.004     4.976     7.733
   -21.858    33.472    58.718     3.054     4.070
   -21.265    33.383     3.423     2.152     5.036
   -21.311    33.401    44.463     8.052    12.385
   -21.344    33.323     4.985     2.198     6.046
   -21.223    33.338    46.700     5.224    13.406
   -20.554    33.716    53.199     6.780    10.821
   -21.213    33.359    55.274     2.690     4.227
   -21.343    33.322    89.237     4.905     8.183
   -21.372    33.197    47.583     4.724     8.315
   -21.259    33.161     2.828     2.480     3.807
   -21.168    33.443   -81.497     6.618     9.412
   -21.535    33.516     8.320     3.547    10.227
   -21.529    33.519    54.515     6.363    10.521
   -21.445    33.441    27.377     4.995    10.930
   -21.445    33.461    60.848     3.152     3.802
   -21.423    33.496    86.627     2.831     8.033
   -21.519    33.485     7.826     1.933     2.061
   -21.447    33.477   -26.434     3.952     5.421
   -21.489    33.487    29.434     5.098     6.585
   -21.328    33.567    10.863     1.860     4.841
   -21.373    33.271    37.366     3.269     5.988
   -20.577    33.760    52.220     8.310    14.299
   -21.604    33.551    83.463     8.351    10.668
   -21.537    33.538   -22.248    10.225    13.277
   -21.586    33.598    51.230     5.200     6.039
   -20.625    32.836     9.951     3.914     5.459
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
   -21.263    33.369     0.300
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
   -21.904    32.787    46.109     5.026     6.898
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
   -21.904    32.810   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
   -21.904    32.787     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
   -21.904    32.787     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
   -21.949    32.787   5 km
END
