#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=machaze3.21_tt4_near_source.ps
projection=-JX18/12
region=-R0/1.4/-10/10
gmt psbasemap $region $projection -Bxa0.1f0.1+l'Epicentral Distance (deg)' -Bya5f1g5+l'Travel Time Residual (s)' -BWeSn+t'Near-Source machaze3.21' -K > $psfile
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
-10.000    1.400
10.000    1.400
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthick,red -K -O << END >> $psfile
     0.474     0.335     0.200
    -0.444     0.568     0.200
     0.176     0.623     0.200
     0.292     1.259     0.200
    -0.220     1.092     0.200
    -1.007     1.156     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthick,blue -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthick,green -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
     0.768     0.335     0.200
    -0.032     0.623     0.200
     0.226     0.623     0.200
     1.340     1.259     0.200
     1.633     1.259     0.200
    -0.893     1.092     0.200
    -0.662     1.092     0.200
    -1.623     1.156     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
END
# Average Pg residual
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
-0.12    0.000
-0.12    1.400
END
# Average Sg residual
gmt psxy -: -R $projection -Wthin,red,- -K -O << END >> $psfile
 0.09    0.0
 0.09    1.4
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -O << END >> $psfile
     9.000     0.025   Residuals for crustal phases, average over (0-1.4)
     8.000     0.050   Pg = red x; average =  -0.1 (solid red line)
    -7.500     0.050   Sg = red circles; average =   0.1 (dashed red line)
END
